Subject: Re: diald

From: [email-masked]
Date: Mon, 12 Aug 1996 18:37:01 -0400 (EDT)

> Does anyone know how to get diald to work? I'm almost there; I can get it to 
> do it's thing, dial, connect to my ISP, start sending data, but after about 
> 30 seconds, diald kills pppd, and reports that it has timed out waiting for 
> ppp to connect. :/ Since I was in the middle of receiving an html document
> from the web, I'd say it's safe to assume that pppd was already connected.
> Anyone got any ideas how I can cure this VERY annoying problem? 
> 
> Thanks, 
> Tim 

  Adding 'connect-timeout' as an option to diald solved the problem
  at least for me:

  /usr/sbin/ppp-up
  ----------------
  #!/bin/sh

  /bin/setserial /dev/cua1 spd_hi
  /usr/sbin/diald /dev/cua1 -m ppp local 127.0.0.3 \
  remote 127.0.0.2 \
  defaultroute modem crtscts dynamic connect-timeout 180 \
  connect '/usr/sbin/chat -f /etc/ppp/chat-ppp' \
  fifo /var/adm/diald.ctl

  Adding the following entry at the end of /etc/diald.conf
  also helped me out making the line keep up contiguously:

  restrict * * * * *
  up

-- 
Joonwoo Nam
MAGNUMS(MAssachusetts Group for NUMerical analysis of Semiconductors)
Dept. of Electrical and Computer Engineering, UMASS at Amherst
e-mail:[email-masked] / work:413-545-4762 / fax:413-545-4611
http://khushi.ecs.umass.edu/~nam